Bug 645544 - bind is really noisy about dns that I don't control.
bind is really noisy about dns that I don't control.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-21 15:11 EDT by Dave Jones
Modified: 2015-01-04 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version: bind-9.7.2-3.P2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 18:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log capture from one load of wikipedia.org (72.47 KB, text/plain)
2010-10-21 15:11 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2010-10-21 15:11:50 EDT
Created attachment 454914 [details]
log capture from one load of wikipedia.org

Every time I go to wikipedia (for one example), I get a huge spew in my logs like the attached file.  Filling up my hard disk isn't going to fix wikipedia's DNS.

Is there a switch to turn off this annoying behaviour ?

(nb: this happens for quite a few popular domains).
Comment 1 Fedora Update System 2010-11-08 09:09:53 EST
bind-9.7.2-3.P2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bind-9.7.2-3.P2.fc14
Comment 2 Adam Tkac 2010-11-08 09:10:45 EST
Can you please check if bind-9.7.2-3.P2.fc14 is fine?
Comment 3 Fedora Update System 2010-11-08 17:40:05 EST
bind-9.7.2-3.P2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bind-9.7.2-3.P2.fc14
Comment 4 Fedora Update System 2010-11-16 18:19:15 EST
bind-9.7.2-3.P2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Michael Cronenworth 2011-01-21 15:15:00 EST
(In reply to comment #2)
> Can you please check if bind-9.7.2-3.P2.fc14 is fine?

Not so sure that this is fixed.

Reviewing my logs has shown hundreds of bind messages that seem frivolous.

Loading wikipedia.org causes about 50 of these lines:
Jan 21 14:00:13 miracle named[1797]: error (FORMERR) resolving 'no.wikipedia.org/AAAA/IN': 208.80.152.142#53

Loading other websites will very often print:
Jan 21 13:59:27 miracle named[1797]: error (network unreachable) resolving 'a495.g.akamai.net/A/IN': 2600:1404:0:f000:378a:460e:58c:fd50#53

The box running named does not have IPv6 access. Should named detect no IPv6 network is available and suppress these messages? The box in question is using the default named.conf settings for logging.

Note You need to log in before you can comment on or make changes to this bug.